<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Interface Permanencier | Billevent</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
            integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
            crossorigin="anonymous"></script>
    <style>
        body {
            background: cornsilk;
        }
    </style>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark "><!--sticky-top">-->
    <img src="https://logos.bde-insa-lyon.fr/bde/bde.png" style="height: 3rem">
    <a class="navbar-brand" href="{% url 'home' %}">
        Billevent - Permanencier
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">

        <ol class="breadcrumb my-auto">
            <li class="breadcrumb-item {% if permanence %}active" aria-current="page{% endif %}">
                <a href="{% url 'client-search' %}">Recherche</a>
            </li>
            {% if request.path == '/permanencier/client/create' %}
                <li class="breadcrumb-item active" aria-current="page">
                    <span href="{% url 'client-create' %}">Infos client</span>
                </li>
            {% endif %}

            {% if client %}
                <li class="breadcrumb-item">
                    <a href="{% url 'client-edit' pk=client.id %}">Infos client</a>
                </li>
            {% endif %}

            {% if order %}
                <li class="breadcrumb-item"><a href="{% url 'order-view' pk=order.pk %}">Commande</a></li>
            {% endif %}

        </ol>
        <ul class="navbar-nav">
            <li class="nav-item active">
                <span class="nav-link" href="#">{{ user.membership.events.first.products.first.how_many_left }} place(s) restante(s)</span>
            </li>
        </ul>
        <ul class="my-2 my-lg-0 form-inline navbar-nav ml-auto">
            <li class="text-light nav-item">
                {{ user }}
            </li>&nbsp;&nbsp;&nbsp;
            {% if permanence %}
                <li class="nav-item">
                    <a href="{% url 'permanence-stop' %}" class="btn btn-warning">Fermer la permanence</a>
                </li>
            {% endif %}
            <li class="nav-item ml-2">
                <a href="{% url 'logout' %}" class="btn btn-danger">Se déconnecter</a>
            </li>
        </ul>
    </div>
</nav>
<div class="container">
    {% if open_permanence_required and not permanence %}
        <div class="alert alert-danger">
            <h3>Veuillez ouvrir une permanence !</h3>
            <p>Sans cette opération, vous ne pourrez pas faire de feuille de caisse.</p>
            <a class="btn btn-primary" href="{% url 'stand-list' %}">Ouvrir une permanence</a>
        </div>
    {% else %}
        <h1 align="center">{% block title %}{% endblock %}</h1>
        {% block content %}
        {% endblock %}
    {% endif %}

</div>
<!--<script>
    document.addEventListener('DOMContentLoaded', function () {
        document.getElementById('focus').focus();
    }, false);
</script>-->
</body>
</html>